@charset "utf-8";

/*
************************************************************************
* アイコン
* @copyright Revolme Inc.
* 
************************************************************************
*/

.icon-before:before
{
	content:"";
	
	display:inline-block;
	
	width:1.2em;
	height:1.2em;
	
	margin-right:0.5em;
	margin-bottom:-0.15em;
	
	background-position:center center;
	background-repeat:no-repeat;
	background-size:contain;
}
.icon-after:after
{
	content:"";
	
	display:inline-block;
	
	width:1.2em;
	height:1.2em;
	
	margin-left:0.5em;
	margin-bottom:-0.15em;
	
	background-position:center center;
	background-repeat:no-repeat;
	background-size:contain;
}
.icon-before.icon-tel:before
{
	background-image:url(../../../_img/icon/tel.svg);
}
.icon-before.icon-contact:before
{
	background-image:url(../../../_img/icon/mail.svg);
}
.icon-before.icon-contact.icon-footer:before
{
	background-image:url(../../../_img/icon/mail-w.svg);
}
.icon-before.icon-reservation:before
{
	background-image:url(../../../_img/icon/reservation.svg);
}
.icon-before.icon-reservation.icon-footer:before
{
	background-image:url(../../../_img/icon/reservation-w.svg);
}
.icon-after.icon-link:after
{
	background-image:url(../../../_img/icon/link.svg);
	width:1.0em;
	height:0.9em;
}
.icon-after.icon-link-b:after
{
	background-image:url(../../../_img/icon/link-b.svg);
	width:1.0em;
	height:0.9em;
}
.icon-before.icon-large.icon-contact:before
{
	width:2.2em;
	height:1.4em;
	margin-bottom: -0.35em;
}
.icon-before.icon-large.icon-reservation:before
{
	width:2.2em;
	height:1.8em;
	margin-bottom: -0.75em;
    transform: translateY(-0.2em);
}

/* == スマートフォンサイズ ======================================================*/
@media screen and (max-width: 750px) {
	.icon-after.icon-link:after,
	.icon-after.icon-link-b:after
	{
		width:2.8vw;
		height:2.8vw;
	}
}